com.amazonaws.services.servermigration.model

## Class ReplicationRun

- java.lang.Object
- - com.amazonaws.services.servermigration.model.ReplicationRun

All Implemented Interfaces:
  Serializable, Cloneable

    public class ReplicationRun
    extends Object
    implements Serializable, Cloneable

Object representing a Replication Run

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReplicationRun()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ReplicationRun` `clone()`
`boolean` `equals(Object obj)`
`String` `getAmiId()`
`Date` `getCompletedTime()`
`String` `getDescription()`
`String` `getReplicationRunId()`
`Date` `getScheduledStartTime()`
`String` `getState()`
`String` `getStatusMessage()`
`String` `getType()`
`int` `hashCode()`
`void` `setAmiId(String amiId)`
`void` `setCompletedTime(Date completedTime)`
`void` `setDescription(String description)`
`void` `setReplicationRunId(String replicationRunId)`
`void` `setScheduledStartTime(Date scheduledStartTime)`
`void` `setState(ReplicationRunState state)`
`void` `setState(String state)`
`void` `setStatusMessage(String statusMessage)`
`void` `setType(ReplicationRunType type)`
`void` `setType(String type)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ReplicationRun` `withAmiId(String amiId)`
`ReplicationRun` `withCompletedTime(Date completedTime)`
`ReplicationRun` `withDescription(String description)`
`ReplicationRun` `withReplicationRunId(String replicationRunId)`
`ReplicationRun` `withScheduledStartTime(Date scheduledStartTime)`
`ReplicationRun` `withState(ReplicationRunState state)`
`ReplicationRun` `withState(String state)`
`ReplicationRun` `withStatusMessage(String statusMessage)`
`ReplicationRun` `withType(ReplicationRunType type)`
`ReplicationRun` `withType(String type)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReplicationRun

    public ReplicationRun()

### Method Detail

#### setReplicationRunId

    public void setReplicationRunId(String replicationRunId)

Parameters:
  `replicationRunId` -

#### getReplicationRunId

    public String getReplicationRunId()

Returns:

#### withReplicationRunId

    public ReplicationRun withReplicationRunId(String replicationRunId)

Parameters:
  `replicationRunId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setState

    public void setState(String state)

Parameters:
  `state` -
See Also:
  `ReplicationRunState`

#### getState

    public String getState()

Returns:
See Also:
  `ReplicationRunState`

#### withState

    public ReplicationRun withState(String state)

Parameters:
  `state` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ReplicationRunState`

#### setState

    public void setState(ReplicationRunState state)

Parameters:
  `state` -
See Also:
  `ReplicationRunState`

#### withState

    public ReplicationRun withState(ReplicationRunState state)

Parameters:
  `state` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ReplicationRunState`

#### setType

    public void setType(String type)

Parameters:
  `type` -
See Also:
  `ReplicationRunType`

#### getType

    public String getType()

Returns:
See Also:
  `ReplicationRunType`

#### withType

    public ReplicationRun withType(String type)

Parameters:
  `type` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ReplicationRunType`

#### setType

    public void setType(ReplicationRunType type)

Parameters:
  `type` -
See Also:
  `ReplicationRunType`

#### withType

    public ReplicationRun withType(ReplicationRunType type)

Parameters:
  `type` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ReplicationRunType`

#### setStatusMessage

    public void setStatusMessage(String statusMessage)

Parameters:
  `statusMessage` -

#### getStatusMessage

    public String getStatusMessage()

Returns:

#### withStatusMessage

    public ReplicationRun withStatusMessage(String statusMessage)

Parameters:
  `statusMessage` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAmiId

    public void setAmiId(String amiId)

Parameters:
  `amiId` -

#### getAmiId

    public String getAmiId()

Returns:

#### withAmiId

    public ReplicationRun withAmiId(String amiId)

Parameters:
  `amiId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduledStartTime

    public void setScheduledStartTime(Date scheduledStartTime)

Parameters:
  `scheduledStartTime` -

#### getScheduledStartTime

    public Date getScheduledStartTime()

Returns:

#### withScheduledStartTime

    public ReplicationRun withScheduledStartTime(Date scheduledStartTime)

Parameters:
  `scheduledStartTime` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCompletedTime

    public void setCompletedTime(Date completedTime)

Parameters:
  `completedTime` -

#### getCompletedTime

    public Date getCompletedTime()

Returns:

#### withCompletedTime

    public ReplicationRun withCompletedTime(Date completedTime)

Parameters:
  `completedTime` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

Parameters:
  `description` -

#### getDescription

    public String getDescription()

Returns:

#### withDescription

    public ReplicationRun withDescription(String description)

Parameters:
  `description` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ReplicationRun clone()

Overrides:
  `clone` in class `Object`